Assistants
Get an assistant
Returns the properties of a single assistant by ID.
GET
/v1/assistants/{assistant_id}Authorization
APIKeyHeader api-key<token>
In: header
Path Parameters
assistant_id*Assistant Id
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/assistants/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "content_blocks": false, "id": "a1b2c3d4-5678-9abc-def0-1234567890ab", "meta_data_response_schema": { "properties": { "type": { "const": "lgagentmetadatamodel", "default": "lgagentmetadatamodel", "enum": [ "53aa66b7-b874-407f-967c-3a959c919d62" ], "title": "Type", "type": "string" }, "legal_advice": { "description": "Indicates if the user query is a legal advice.", "title": "Is Legal Advice", "type": "boolean" }, "intent": { "description": "Intent of the user query.", "title": "Intent", "type": "string" } }, "required": [ "legal_advice", "intent" ], "title": "LgAgentMetaDataModel", "type": "object" }, "name": "Haufe Copilot Tax", "request_required_fields": { "__root__": [ "user_data" ], "user_data": [ "licence" ] }, "streaming": true}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "assistant_not_found", "detail": "Assistant not found"}{ "error_code": "validation_error", "detail": [ { "loc": [ "body", "assistant_id" ], "message": "Field required", "type": "missing" } ]}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}